*{
    padding: 0;
    margin: 0;
}
html,body{
    display: grid;
    height: 100%;
    place-items: center;
    background: #000;
}
.btn a{
    position: relative;
    display: block;
    height: 70px;
    width: 220px;
    background: linear-gradient(115deg, #4fcf70, #fad648, #a76735, #12bcfe, #44ce7b);
    text-align: center;
    border-radius: 10px;

}
.btn a span{
    height: 88%;
    width: 96%;
    background: #111;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 20px;
    line-height: 62px;
    color: #f5f5f5;
    font-size: 25px;
}
.btn a:hover{
    animation: animate 0.4s linear infinite;
}
@keyframes animate{
    100%{
        filter: hue-rotate(-360deg);
    }
}